import request from '@/utils/request'

// 查询驾校信息列表
export function listSchoolInfo(query) {
  return request({
    url: '/drivingSchool/system/schoolInfo/list',
    method: 'get',
    params: query
  })
}

// 查询驾校信息详细
export function getSchoolInfo(id) {
  return request({
    url: '/drivingSchool/system/schoolInfo/' + id,
    method: 'get'
  })
}

// 根据机构id查询驾校信息详细
export function getSchoolInfoByDeptId() {
  return request({
    url: '/drivingSchool/system/schoolInfo/getSchoolInfoByDeptId',
    method: 'get'
  })
}

// 新增驾校信息
export function addSchoolInfo(data) {
  return request({
    url: '/drivingSchool/system/schoolInfo',
    method: 'post',
    data: data
  })
}

// 修改驾校信息
export function updateSchoolInfo(data) {
  return request({
    url: '/drivingSchool/system/schoolInfo',
    method: 'put',
    data: data
  })
}

// 删除驾校信息
export function delSchoolInfo(id) {
  return request({
    url: '/drivingSchool/system/schoolInfo/' + id,
    method: 'delete'
  })
}
